#!/usr/bin/perl -w
use strict;
use open ':utf8';

open(NEW,">newfile"); #open file for printing result

my @lines = <>;
my $text = join "", @lines;

   $text =~ s/usemodule\[t-utfgre\]/usemodule\[t-greek\]/;
#special symbols
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03f2}|\\lunars|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03f9}|\\lunarS|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03d9}|\\koppa|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03dd}|\\digamma|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03e1}|\\sampi|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03db}|\\stigma|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{2020}|\\crux|g;"localgreek{$a}"/esg;
  $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03e1}|\\hbrl|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03db}|\\hbrr|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{201c}|\(\(|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{201d}|\)\)|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{27e6}|\[\[|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{27e7}|\]\]|g;"localgreek{$a}"/esg;

#trema&co
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03ca}|\x{00a8}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03cb}|\x{00a8}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fd3}|\x{1fee}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fe3}|\x{1fee}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fd2}|\x{1fed}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fe2}|\x{1fed}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fd7}|\x{1fc1}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fe7}|\x{1fc1}u|g;"localgreek{$a}"/esg;

#smooth+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f80}|\x{1f00}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f90}|\x{1f20}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa0}|\x{1f60}\x{1fbe}|g;"localgreek{$a}"/esg;

#smooth+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f00}|\x{1fbf}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f10}|\x{1fbf}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f20}|\x{1fbf}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f30}|\x{1fbf}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f40}|\x{1fbf}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f50}|\x{1fbf}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f60}|\x{1fbf}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f08}|\x{1fbf}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f18}|\x{1fbf}E|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f28}|\x{1fbf}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f38}|\x{1fbf}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f48}|\x{1fbf}O|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f68}|\x{1fbf}W|g;"localgreek{$a}"/esg;

#rough+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f81}|\x{1f01}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f91}|\x{1f21}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa1}|\x{1f61}\x{1fbe}|g;"localgreek{$a}"/esg;

#rough+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f01}|\x{1ffe}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f11}|\x{1ffe}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f21}|\x{1ffe}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f31}|\x{1ffe}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f41}|\x{1ffe}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f51}|\x{1ffe}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f61}|\x{1ffe}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f09}|\x{1ffe}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f19}|\x{1ffe}E|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f29}|\x{1ffe}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f39}|\x{1ffe}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f49}|\x{1ffe}O|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f59}|\x{1ffe}U|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f69}|\x{1ffe}W|g;"localgreek{$a}"/esg;

#smooth, rough + rho
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fe4}|\x{1fbf}r|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fe5}|\x{1ffe}r|g;"localgreek{$a}"/esg;

#acute+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fb4}|\x{1f71}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc4}|\x{1f75}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ff4}|\x{1f7d}\x{1fbe}|g;"localgreek{$a}"/esg;

#acute+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f71}|\x{1ffd}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f73}|\x{1ffd}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f75}|\x{1ffd}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f77}|\x{1ffd}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f79}|\x{1ffd}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f7b}|\x{1ffd}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f7d}|\x{1ffd}w|g;"localgreek{$a}"/esg;

#grave+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fb2}|\x{1f70}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc2}|\x{1f74}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ff2}|\x{1f7c}\x{1fbe}|g;"localgreek{$a}"/esg;

#grave+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f70}|\x{1fef}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f72}|\x{1fef}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f74}|\x{1fef}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f76}|\x{1fef}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f78}|\x{1fef}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f7a}|\x{1fef}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f7c}|\x{1fef}w|g;"localgreek{$a}"/esg;

#circumflex+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fb7}|\x{1fb6}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc7}|\x{1fc6}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ff7}|\x{1ff6}\x{1fbe}|g;"localgreek{$a}"/esg;

#circumflex+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fb6}|\x{1fc0}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc6}|\x{1fc0}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fd6}|\x{1fc0}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fe6}|\x{1fc0}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ff6}|\x{1fc0}w|g;"localgreek{$a}"/esg;


#smooth+acute+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f84}|\x{1f04}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f94}|\x{1f24}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa4}|\x{1f64}\x{1fbe}|g;"localgreek{$a}"/esg;

#smooth+acute+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f04}|\x{1fce}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f14}|\x{1fce}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f24}|\x{1fce}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f34}|\x{1fce}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f44}|\x{1fce}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f54}|\x{1fce}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f64}|\x{1fce}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f0c}|\x{1fce}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f1c}|\x{1fce}E|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f2c}|\x{1fce}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f3c}|\x{1fce}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f4c}|\x{1fce}O|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f6c}|\x{1fce}W|g;"localgreek{$a}"/esg;

#smooth+grave+vowel+accent
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f82}|\x{1f02}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f92}|\x{1f22}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa2}|\x{1f62}\x{1fbe}|g;"localgreek{$a}"/esg;

#smooth+grave+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f02}|\x{1fcd}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f12}|\x{1fcd}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f22}|\x{1fcd}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f32}|\x{1fcd}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f42}|\x{1fcd}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f52}|\x{1fcd}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f62}|\x{1fcd}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f0a}|\x{1fcd}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f1a}|\x{1fcd}E|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f2a}|\x{1fcd}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f3a}|\x{1fcd}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f4c}|\x{1fcd}O|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f6a}|\x{1fcd}W|g;"localgreek{$a}"/esg;

#smooth+circumflex+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f86}|\x{1f06}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f96}|\x{1f26}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa6}|\x{1f66}\x{1fbe}|g;"localgreek{$a}"/esg;

#smooth+circumflex+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f06}|\x{1fcf}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f26}|\x{1fcf}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f36}|\x{1fcf}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f56}|\x{1fcf}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f66}|\x{1fcf}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f0e}|\x{1fcf}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f2e}|\x{1fcf}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f3e}|\x{1fcf}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f6e}|\x{1fcf}W|g;"localgreek{$a}"/esg;

#rough+acute+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f85}|\x{1f05}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f95}|\x{1f25}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa5}|\x{1f65}\x{1fbe}|g;"localgreek{$a}"/esg;

#rough+acute+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f05}|\x{1fde}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f15}|\x{1fde}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f25}|\x{1fde}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f35}|\x{1fde}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f45}|\x{1fde}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f55}|\x{1fde}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f65}|\x{1fde}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f0d}|\x{1fde}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f1d}|\x{1fde}E|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f2d}|\x{1fde}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f3d}|\x{1fde}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f4d}|\x{1fde}O|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f5d}|\x{1fde}U|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f6d}|\x{1fde}W|g;"localgreek{$a}"/esg;

#rough+grave+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f83}|\x{1f03}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f93}|\x{1f23}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa3}|\x{1f63}\x{1fbe}|g;"localgreek{$a}"/esg;

#rough+grave+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f03}|\x{1fdd}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f13}|\x{1fdd}e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f23}|\x{1fdd}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f33}|\x{1fdd}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f43}|\x{1fdd}o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f53}|\x{1fdd}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f63}|\x{1fdd}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f0b}|\x{1fdd}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f1b}|\x{1fdd}E|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f2b}|\x{1fdd}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f3b}|\x{1fdd}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f4b}|\x{1fdd}O|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f5b}|\x{1fdd}U|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f6b}|\x{1fdd}W|g;"localgreek{$a}"/esg;

#rough+circumflex+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f87}|\x{1f07}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f97}|\x{1f27}\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fa7}|\x{1f67}\x{1fbe}|g;"localgreek{$a}"/esg;

#rough+circumflex+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f07}|\x{1fdf}a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f27}|\x{1fdf}h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f37}|\x{1fdf}i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f57}|\x{1fdf}u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f67}|\x{1fdf}w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f0f}|\x{1fdf}A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f2f}|\x{1fdf}H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f3f}|\x{1fdf}I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f5f}|\x{1fdf}U|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f6f}|\x{1fdf}W|g;"localgreek{$a}"/esg;

#vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fb3}|a\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc3}|h\x{1fbe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ff3}|w\x{1fbe}|g;"localgreek{$a}"/esg;

#iota subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s!\x{1fbe}!\|!g;"localgreek{$a}"/esg;
 
#accents, breathings, combinations
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}|\x{1fbf}\x{1ffd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}|\x{1fbf}\x{1fef}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}|\x{1fbf}\x{1fc0}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}|\x{1ffe}\x{1ffd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}|\x{1ffe}\x{1fef}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}|\x{1ffe}\x{1fc0}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fee}|\x{00a8}\x{1ffd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fed}|\x{00a8}\x{1fef}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc1}|\x{00a8}\x{1fc0}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}|>|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}|<|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}|'|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}|`|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc0}|~|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{00a8}|"|g;"localgreek{$a}"/esg;

#single letters
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0391}|A|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0392}|B|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0394}|D|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0395}|E|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a6}|F|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0393}|G|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0397}|H|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0399}|I|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0398}|J|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{039a}|K|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{039b}|L|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{039c}|M|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{039d}|N|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{039f}|O|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a0}|P|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a7}|Q|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a1}|R|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a3}|S|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a4}|T|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a5}|U|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a9}|W|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{039e}|X|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03a8}|Y|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0396}|Z|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b1}|a|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b2}|b|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c2}|c|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b4}|d|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b5}|e|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c6}|f|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b3}|g|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b7}|h|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b9}|i|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b8}|j|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03ba}|k|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03bb}|l|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03bc}|m|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03bd}|n|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03bf}|o|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c0}|p|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c1}|r|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c7}|q|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c3}|s|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c4}|t|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c5}|u|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c9}|w|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03be}|x|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03c8}|y|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{03b6}|z|g;"localgreek{$a}"/esg;

#specials
#   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|''|\x{1ffd}\x{1ffd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{0387}|;|g;"localgreek{$a}"/esg;

#finally, take care of braces
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\\x{007b}|\\\x{0238}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\\x{007d}|\\\x{0239}|g;"localgreek{$a}"/esg;

##############################################################################


#special symbols
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03f2}|\\lunars|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03f9}|\\lunarS|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03d9}|\\koppa|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03dd}|\\digamma|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03e1}|\\sampi|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03db}|\\stigma|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{2020}|\\crux|g;"\\startgreek $a \\stopgreek"/esg;
  $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03e1}|\\hbrl|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03db}|\\hbrr|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{201c}|\(\(|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{201d}|\)\)|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{27e6}|\[\[|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{27e7}|\]\]|g;"\\startgreek $a \\stopgreek"/esg;
#braces are a problem since } would end the search pattern. We have to convert into some intermediate stage first.
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\\x{0238}|\\brcl|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\\x{0239}|\\brcr|g;"\\startgreek $a \\stopgreek"/esg;
 
#accents, breathings, combinations
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}|>|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}|<|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}|'|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}|`|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc0}|~|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{00a8}|"|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}|\x{1fbf}\x{1ffd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}|\x{1fbf}\x{1fef}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}|\x{1fbf}\x{1fc0}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}|\x{1ffe}\x{1ffd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}|\x{1ffe}\x{1fef}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}|\x{1ffe}\x{1fc0}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fee}|\x{00a8}\x{1ffd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fed}|\x{00a8}\x{1fef}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc1}|\x{00a8}\x{1fc0}|g;"\\startgreek $a \\stopgreek"/esg;

#trema&co
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03ca}|\x{00a8}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03cb}|\x{00a8}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fd3}|\x{1fee}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fe3}|\x{1fee}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fd2}|\x{1fed}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fe2}|\x{1fed}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fd7}|\x{1fc1}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fe7}|\x{1fc1}u|g;"\\startgreek $a \\stopgreek"/esg;

#iota subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s!\|!\x{1fbe}!g;"\\startgreek $a \\stopgreek"/esg;

#smooth+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f00}|\x{1fbf}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f10}|\x{1fbf}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f20}|\x{1fbf}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f30}|\x{1fbf}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f40}|\x{1fbf}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f50}|\x{1fbf}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f60}|\x{1fbf}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f08}|\x{1fbf}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f18}|\x{1fbf}E|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f28}|\x{1fbf}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f38}|\x{1fbf}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f48}|\x{1fbf}O|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f68}|\x{1fbf}W|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f80}|\x{1f00}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f90}|\x{1f20}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa0}|\x{1f60}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f01}|\x{1ffe}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f11}|\x{1ffe}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f21}|\x{1ffe}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f31}|\x{1ffe}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f41}|\x{1ffe}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f51}|\x{1ffe}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f61}|\x{1ffe}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f09}|\x{1ffe}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f19}|\x{1ffe}E|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f29}|\x{1ffe}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f39}|\x{1ffe}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f49}|\x{1ffe}O|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f59}|\x{1ffe}U|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f69}|\x{1ffe}W|g;"\\startgreek $a \\stopgreek"/esg;

#rough+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f81}|\x{1f01}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f91}|\x{1f21}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa1}|\x{1f61}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth, rough + rho
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fe4}|\x{1fbf}r|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fe5}|\x{1ffe}r|g;"\\startgreek $a \\stopgreek"/esg;

#acute+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f71}|\x{1ffd}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f73}|\x{1ffd}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f75}|\x{1ffd}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f77}|\x{1ffd}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f79}|\x{1ffd}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f7b}|\x{1ffd}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f7d}|\x{1ffd}w|g;"\\startgreek $a \\stopgreek"/esg;


#acute+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fb4}|\x{1f71}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc4}|\x{1f75}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ff4}|\x{1f7d}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;


#grave+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f70}|\x{1fef}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f72}|\x{1fef}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f74}|\x{1fef}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f76}|\x{1fef}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f78}|\x{1fef}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f7a}|\x{1fef}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f7c}|\x{1fef}w|g;"\\startgreek $a \\stopgreek"/esg;


#grave+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fb2}|\x{1f70}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc2}|\x{1f74}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ff2}|\x{1f7c}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;


#circumflex+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fb6}|\x{1fc0}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc6}|\x{1fc0}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fd6}|\x{1fc0}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fe6}|\x{1fc0}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ff6}|\x{1fc0}w|g;"\\startgreek $a \\stopgreek"/esg;

#circumflex+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fb7}|\x{1fb6}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc7}|\x{1fc6}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ff7}|\x{1ff6}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;


#smooth+acute+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f04}|\x{1fce}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f14}|\x{1fce}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f24}|\x{1fce}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f34}|\x{1fce}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f44}|\x{1fce}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f54}|\x{1fce}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f64}|\x{1fce}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f0c}|\x{1fce}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f1c}|\x{1fce}E|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f2c}|\x{1fce}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f3c}|\x{1fce}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f4c}|\x{1fce}O|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f6c}|\x{1fce}W|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+acute+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f84}|\x{1f04}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f94}|\x{1f24}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa4}|\x{1f64}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+grave+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f02}|\x{1fcd}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f12}|\x{1fcd}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f22}|\x{1fcd}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f32}|\x{1fcd}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f42}|\x{1fcd}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f52}|\x{1fcd}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f62}|\x{1fcd}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f0a}|\x{1fcd}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f1a}|\x{1fcd}E|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f2a}|\x{1fcd}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f3a}|\x{1fcd}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f4c}|\x{1fcd}O|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f6a}|\x{1fcd}W|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+grave+vowel+accent
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f82}|\x{1f02}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f92}|\x{1f22}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa2}|\x{1f62}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+circumflex+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f06}|\x{1fcf}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f26}|\x{1fcf}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f36}|\x{1fcf}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f56}|\x{1fcf}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f66}|\x{1fcf}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f0e}|\x{1fcf}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f2e}|\x{1fcf}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f3e}|\x{1fcf}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f6e}|\x{1fcf}W|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+circumflex+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f86}|\x{1f06}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f96}|\x{1f26}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa6}|\x{1f66}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+acute+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f05}|\x{1fde}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f15}|\x{1fde}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f25}|\x{1fde}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f35}|\x{1fde}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f45}|\x{1fde}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f55}|\x{1fde}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f65}|\x{1fde}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f0d}|\x{1fde}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f1d}|\x{1fde}E|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f2d}|\x{1fde}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f3d}|\x{1fde}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f4d}|\x{1fde}O|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f5d}|\x{1fde}U|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f6d}|\x{1fde}W|g;"\\startgreek $a \\stopgreek"/esg;

#rough+acute+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f85}|\x{1f05}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f95}|\x{1f25}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa5}|\x{1f65}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+grave+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f03}|\x{1fdd}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f13}|\x{1fdd}e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f23}|\x{1fdd}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f33}|\x{1fdd}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f43}|\x{1fdd}o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f53}|\x{1fdd}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f63}|\x{1fdd}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f0b}|\x{1fdd}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f1b}|\x{1fdd}E|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f2b}|\x{1fdd}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f3b}|\x{1fdd}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f4b}|\x{1fdd}O|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f5b}|\x{1fdd}U|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f6b}|\x{1fdd}W|g;"\\startgreek $a \\stopgreek"/esg;

#rough+grave+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f83}|\x{1f03}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f93}|\x{1f23}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa3}|\x{1f63}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+circumflex+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f07}|\x{1fdf}a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f27}|\x{1fdf}h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f37}|\x{1fdf}i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f57}|\x{1fdf}u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f67}|\x{1fdf}w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f0f}|\x{1fdf}A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f2f}|\x{1fdf}H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f3f}|\x{1fdf}I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f5f}|\x{1fdf}U|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f6f}|\x{1fdf}W|g;"\\startgreek $a \\stopgreek"/esg;

#rough+circumflex+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f87}|\x{1f07}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f97}|\x{1f27}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fa7}|\x{1f67}\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fb3}|a\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc3}|h\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ff3}|w\x{1fbe}|g;"\\startgreek $a \\stopgreek"/esg;

#single letters
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0391}|A|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0392}|B|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0394}|D|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0395}|E|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a6}|F|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0393}|G|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0397}|H|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0399}|I|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0398}|J|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{039a}|K|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{039b}|L|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{039c}|M|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{039d}|N|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{039f}|O|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a0}|P|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a7}|Q|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a1}|R|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a3}|S|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a4}|T|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a5}|U|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a9}|W|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{039e}|X|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03a8}|Y|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0396}|Z|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b1}|a|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b2}|b|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c2}|c|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b4}|d|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b5}|e|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c6}|f|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b3}|g|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b7}|h|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b9}|i|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b8}|j|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03ba}|k|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03bb}|l|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03bc}|m|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03bd}|n|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03bf}|o|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c0}|p|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c1}|r|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c7}|q|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c3}|s|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c4}|t|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c5}|u|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c9}|w|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03be}|x|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03c8}|y|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{03b6}|z|g;"\\startgreek $a \\stopgreek"/esg;

#specials
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|''|\x{1ffd}\x{1ffd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{0387}|;|g;"\\startgreek $a \\stopgreek"/esg;

#finally, take care of braces
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\\x{007b}|\\\x{0238}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\\x{007d}|\\\x{0239}|g;"\\startgreek $a \\stopgreek"/esg;

 
   print NEW "$text";

close(NEW);

my $basename = "$ARGV";
$basename =~ s/\.tex//i;

rename("newfile", "$basename.babel.tex");
